#
# spec file for package python-dirq
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-dirq
Version:        1.4
Release:        1.11
Url:            http://code.google.com/p/dirq/
Summary:        A Simple Queue System Using the Underlying Filesystem
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         http://dirq.googlecode.com/files/dirq-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-Sphinx
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The goal of this module is to offer a simple queue system using the underlying
filesystem for storage, security and to prevent race conditions via atomic
operations. It focuses on simplicity, robustness and scalability.

This module allows multiple concurrent readers and writers to interact with the
same queue.

%package doc
Summary:        A Simple Queue System Using the Underlying Filesystem - Documentation
Group:          Development/Languages/Python
Requires:       %{name}-%{version}

%description doc
The goal of this module is to offer a simple queue system using the underlying
filesystem for storage, security and to prevent race conditions via atomic
operations. It focuses on simplicity, robustness and scalability.

This module allows multiple concurrent readers and writers to interact with the
same queue.

This package contains the documentation of %{name}, under the directory
  %{_docdir}/%{name}/

%prep
%setup -q -n dirq-%{version}
find . -type f -name ".*" -delete

%build
python setup.py build
cd docs && make html

%check
python setup.py test

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove hidden file generated by "make html" command
rm -r docs/_build/html/.buildinfo

%files
%defattr(-,root,root,-)
%doc examples CHANGES README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc docs/_build/html

%changelog
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 1.4
  + fixed a bug with element name generation
  + added support for the rndhex attribute as in Perl's Directory::Queue
  + always use the tempfile module for temporary directories
* Fri Jun 22 2012 saschpe@suse.de
- Update to version 1.2.2:
  + fixed race condition in QueueSimple.lock()
* Thu May 17 2012 jfunk@funktronics.ca
- Update to 1.2.1
  * fixing escaping bug in hash2string and string2hash
  * fixing string2hash bug when given string is empty
  * cleaning to make pylint happier
  * adding python3 support
- Run tests
- Build docs and add subpackage
* Fri Apr  6 2012 jfunk@funktronics.ca
- Update to 1.1.2:
  * removed "from .<module> import" as we have to support Python <= 2.4
- 1.1.1:
  * minor fix for failing build under Python 3
  * updated test of dirq.Queue.touch()
* Tue Mar 13 2012 jfunk@funktronics.ca
- Update to 1.1.0:
  * [Massimo Paladin] added QueueNull which is kind of a black hole
  * Fixed a bug with providing umask to QueueBase constructor
* Thu Jan 12 2012 jfunk@funktronics.ca
- Update to 1.0.1:
  * Updated documentation and unified versioning.
- Version 1.0.0:
  * After more testing and followed fixes promoted to version 1.0.0
- Version 0.1.0:
  * Updated the interface and overall implementation to comply with the
    changes in original Perl Directory::Queue implementation as of version 1.2
    + Added the touch() method
    + Improved the speed of the purge() method for large queues
    + NB! Although, it's possible to provide schema as in Directory::Queue
    with '*' to request returning of data by reference this is not actually
    relevant in case of Python.
    + Support for Windows.
    + Some modification to private methods.
  * Added unit tests.
* Fri Jul 16 2010 jfunk@funktronics.ca
- Initial release
